Bug 1263652 - [abrt] dnf: sqlutils.py:167:executeSQLQmark:DatabaseError: database disk image is malformed
[abrt] dnf: sqlutils.py:167:executeSQLQmark:DatabaseError: database disk imag...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: rpm-software-management
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:04a67209ee828c95e4a9a153911...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-16 07:11 EDT by der_pest
Modified: 2016-07-19 13:54 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:54:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.89 KB, text/plain)
2015-09-16 07:11 EDT, der_pest
no flags Details
File: environ (3.43 KB, text/plain)
2015-09-16 07:11 EDT, der_pest
no flags Details

  None (edit)
Description der_pest 2015-09-16 07:11:30 EDT
Description of problem:
Just wanted to update my system. I tried different kernels and dnf clean all with no success.

This is the precise output at the end of dnf upgrade.

The downloaded packages were saved in cache till the next successful transaction.
You can remove cached packages by executing 'dnf clean packages'
Traceback (most recent call last):
  File "/bin/dnf", line 36, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 193, in user_main
    errcode = main(args)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 84, in main
    return _main(base, args)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 146, in _main
    ret = resolving(cli, base)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 168, in resolving
    base.do_transaction(display=displays)
  File "/usr/lib/python2.7/site-packages/dnf/cli/cli.py", line 223, in do_transaction
    super(BaseCli, self).do_transaction(display)
  File "/usr/lib/python2.7/site-packages/dnf/base.py", line 599, in do_transaction
    self._run_transaction(cb=cb)
  File "/usr/lib/python2.7/site-packages/dnf/base.py", line 643, in _run_transaction
    lastdbv = self.history.last()
  File "/usr/lib/python2.7/site-packages/dnf/yum/history.py", line 1329, in last
    ret = self.old([], 1, complete_transactions_only)
  File "/usr/lib/python2.7/site-packages/dnf/yum/history.py", line 1278, in old
    executeSQL(cur, sql, params)
  File "/usr/lib/python2.7/site-packages/dnf/yum/sqlutils.py", line 167, in executeSQLQmark
    return cursor.execute(query)
sqlite3.DatabaseError: database disk image is malformed

Version-Release number of selected component:
dnf-1.1.0-2.fc22

Additional info:
reporter:       libreport-2.6.2
cmdline:        /usr/bin/python -OO /bin/dnf upgrade -y -x google-chrome-stable
dso_list:       python-dnf-1.1.0-2.fc22.noarch
executable:     /bin/dnf
kernel:         4.0.4-301.fc22.x86_64
runlevel:       N 5
type:           Python
uid:            0

Truncated backtrace:
sqlutils.py:167:executeSQLQmark:DatabaseError: database disk image is malformed

Traceback (most recent call last):
  File "/bin/dnf", line 36, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 193, in user_main
    errcode = main(args)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 84, in main
    return _main(base, args)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 146, in _main
    ret = resolving(cli, base)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 168, in resolving
    base.do_transaction(display=displays)
  File "/usr/lib/python2.7/site-packages/dnf/cli/cli.py", line 223, in do_transaction
    super(BaseCli, self).do_transaction(display)
  File "/usr/lib/python2.7/site-packages/dnf/base.py", line 599, in do_transaction
    self._run_transaction(cb=cb)
  File "/usr/lib/python2.7/site-packages/dnf/base.py", line 643, in _run_transaction
    lastdbv = self.history.last()
  File "/usr/lib/python2.7/site-packages/dnf/yum/history.py", line 1329, in last
    ret = self.old([], 1, complete_transactions_only)
  File "/usr/lib/python2.7/site-packages/dnf/yum/history.py", line 1278, in old
    executeSQL(cur, sql, params)
  File "/usr/lib/python2.7/site-packages/dnf/yum/sqlutils.py", line 167, in executeSQLQmark
    return cursor.execute(query)
DatabaseError: database disk image is malformed

Local variables in innermost frame:
cursor: <sqlite3.Cursor object at 0x7f8427d1dc70>
query: u'SELECT tid,\n                         trans_beg.timestamp AS beg_ts,\n                         trans_beg.rpmdb_version AS beg_rv,\n                         trans_end.timestamp AS end_ts,\n                         trans_end.rpmdb_version AS end_rv,\n                         loginuid, return_code\n                  FROM trans_beg JOIN trans_end USING(tid) ORDER BY tid DESC LIMIT 1'
params: None
Comment 1 der_pest 2015-09-16 07:11:34 EDT
Created attachment 1073973 [details]
File: backtrace
Comment 2 der_pest 2015-09-16 07:11:35 EDT
Created attachment 1073974 [details]
File: environ
Comment 3 Honza Silhan 2015-09-21 05:18:29 EDT
Thanks for the report.
Comment 4 Fedora Admin XMLRPC Client 2016-07-08 05:33:51 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora End Of Life 2016-07-19 13:54:33 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.